.m-fill-in-blank {
  width: 100%;
  display: flex;
  flex-wrap: wrap;

  .box-action-info {
    margin-top: 0.4rem;

    > img {
      vertical-align: top;
      margin-right: 0.6rem;
    }

    .text-guide {
      font-size: 1.2rem;
      color: #39c9f9;
      font-weight: 600;
      display: inline-block;
    }
  }

  .popup-table {
    position: absolute;
    width: 300px;
    top: 0;
    z-index: 1000;
    display: none;

    &::before {
      content: ' ';
      width: 0;
      height: 0;
      border-left: 5px solid transparent;
      border-right: 5px solid transparent;
      border-bottom: 10px solid #5cb9d8;
      position: absolute;
      bottom: 100%;
      left: var(--offset-left);
    }
    .question-table{
      .error{
        border: 1px solid red;
        border-radius: 8px;
      }
    }

    table {
      table-layout: auto;
    }

    .add-new-answer {
      position: unset !important;
      pointer-events: auto;
    }
  }

  table.fill-in-blank-5 {
    thead tr th {
      &:nth-child(1) {
        width: 40px;
      }
    }

    tbody tr td {
      &:nth-child(1) {
        font-size: 1.6rem;
        font-weight: 400;
      }

      &.td-input {
        position: relative;

        input {
          border: 1px solid #d5dee8;
          box-sizing: border-box;
          border-radius: 8px;
          padding-right: 5.2rem !important;
        }

        &.error > input {
          border: 1px solid #dd3a09;
        }
      }

      .action {
        position: absolute;
        right: 1.4rem;
        top: 50%;
        transform: translateY(-50%);

        .ic-action {
          margin: 0 0.4rem;
        }
      }
    }

    .add-new-answer {
      margin-left: 10px;
    }
  }

  .box-image-input-fb5 {
    border-radius: 0.8rem;
    border: 0.1rem solid #d5dee8;
    height: 18rem;
    background: #fff;
    position: relative;
    width: calc(100% - 2rem);
    margin-left: 1rem;
    margin-right: 1rem;
    margin-bottom: 1.6rem;

    &.error {
      border-radius: 8px;
      border: 1px solid #dd3a09;
    }

    .image-section {
      height: 100%;
      width: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
      padding: 2rem;
      .image-input-origin {
        position: relative;
        max-height: 100%;
        max-width: 100%;
        .image-upload {
          max-width: 100%;
          height: 100%;
          max-height: 14rem;
        }
        .image-delete-icon {
          position: absolute;
          top: -6px;
          right: -6px;
          width: 24px;
          height: 24px;
          cursor: pointer;
        }
      }
    }
    > span {
      position: absolute;
      top: 0;
      left: 1.5rem;
      transform: translate(0, -50%);
      background-color: #f5f8fc;
    }
  }

  .a-content-with-label {
    div[contenteditable='true'] {
      > input {
        user-select: none;
        cursor: pointer;
      }
    }
  }
}
